
# setDeepLinkData

The setDeepLinkData() method allows the passing of deep link data to be displayed on the map. This data is typically in the form of a hashed base64 string. When this method is called with the appropriate deep link data, it will be displayed on the map when it is initialized or already open.

**Parameters**

deepLinkData: A string containing the hashed base64 data to be passed to the map for display. This could include shared locations or points of interest.

-  An example deep link including data for display on the map could be: "app://www.demo.com/MiwxLDEwCw5MTEuNDMyNTYsMzUuODY1NjUyMTA3NDQzMTI1LDMxLjk4MjU3MDM3MjQ1"

The data to be displayed on the map would be the last segment of the deep link: 

"MiwxLDEwCw5MTEuNDMyNTYsMzUuODY1NjUyMTA3NDQzMTI1LDMxLjk4MjU3MDM3MjQ1"

Example :

```java
setDeepLinkData("MiwxLDEwCw5MTEuNDMyNTYsMzUuODY1NjUyMTA3NDQzMTI1LDMxLjk4MjU3MDM3MjQ1");
```